> On Mar 12, 2018, at 9:46 AM, Ryan Schmidt <ryandes...@macports.org> wrote:
> The python portgroup defaults to version 2.7, and in ports that have python 
> variants, I've used that version by default as well.
> I was reminded by the members of the MacPorts meeting that it has been 
> announced that python 2's end-of-life will be in 2020, which is coming up.
> Should we change the default python version to 3.6 now, or soon?


Many Linux flavors have also switched in their latest release to 3.6 (or are in 
this process of switching). I can’t think of any major python package that 
doesn’t work with python 3.6. I have been using “+python36” as a default 
variant on my machine without any issues.


Attachment: signature.asc
Description: Message signed with OpenPGP

Reply via email to